import csv

fields = None
with open('income-scraped.csv') as csvfile:
        
    reader = csv.reader(csvfile, delimiter=",")
    for row in reader:

        # Save header variables
        if fields == None:
            fields = row
        
        else:
            
            # Start JSON string
            if row[0] == "1":
                famunit = '['
            else: 
                famunit = ''
            
            # Add family unit
            famunit += '{'
            famunit += '"' + fields[0] + '":' + row[0] + ','  # famindex
            famunit += '"' + fields[1] + '":' + row[1] + ','  # AGE
            famunit += '"' + fields[2] + '":' + row[2]         # FTOTINC
            famunit += '}'
            
            # Close set if at end
            if (row[0] == "200"): 
                famunit += ']'
            else:
                famunit += ','
            
            # Print family unit
            print(famunit)