# Install package if have not yet
# install.packages("treemap")

# Load package.
library(treemap)

#
# Load data.
#
howmet2010 <- read.csv("data/how-met-2010s.tsv", sep="\t")


#
# Draw treemap.
#

treemap(howmet2010,
        index = c("category", "waymet"), 
        vSize = "p",
        algorithm = "squarified",
        title = "How People Met, 2010s")



